Bug 245932 - multimedia/gpac-libgpac: update to 0.8.0
Summary: multimedia/gpac-libgpac: update to 0.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks: 245933
  Show dependency treegraph
 
Reported: 2020-04-26 14:43 UTC by Stefan Ehmann
Modified: 2020-08-01 07:31 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
patch to update gpac-libgpac to 0.8.0 (2.64 KB, patch)
2020-04-26 14:43 UTC, Stefan Ehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Ehmann 2020-04-26 14:43:39 UTC
Created attachment 213810 [details]
patch to update gpac-libgpac to 0.8.0

Update gpac-libgpac to 0.8.0.
Also switch to USE_GITHUB.

I've found two consumers of this port:
multimedia/gpac-mp4box:
Currently marked BROKEN, will submit separate patch shortly.
mp4box does not build with new libgpac.

multimedia/x264:

GPAC option off by default.
New version causes "Warning: gpac is too old, update to 2007-06-21 UTC or later". There is no build failure, but MP4 support will not be available.

Probably easiest to remove the option for x264, LSMASH seems to be the preferred option anyway.
Comment 1 commit-hook freebsd_committer 2020-07-18 20:53:21 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul 18 20:52:26 UTC 2020
New revision: 542531
URL: https://svnweb.freebsd.org/changeset/ports/542531

Log:
  Update to upstream version 1.0.0

  PR:		245932
  Submitted by:	shoesoft@gmx.net
  Reviewed by:	riggs

Changes:
  head/multimedia/gpac-libgpac/Makefile
  head/multimedia/gpac-libgpac/distinfo
  head/multimedia/gpac-libgpac/files/patch-export-x264-symbols
  head/multimedia/gpac-libgpac/files/patch-src-utils-os_config_init.c
  head/multimedia/gpac-libgpac/files/patch-src-utils-os_divers.c
  head/multimedia/gpac-libgpac/files/patch-src_quickjs_quickjs.c
  head/multimedia/gpac-libgpac/pkg-plist
Comment 2 Thomas Zander freebsd_committer 2020-07-18 20:55:32 UTC
Updated straight to 1.0.0
Comment 3 Thomas Zander freebsd_committer 2020-07-18 20:58:04 UTC
(In reply to Thomas Zander from comment #2)

For the incompatibility, a patch is available at https://code.videolan.org/videolan/x264/-/merge_requests/29/diffs

Tracking via bug 248081
Comment 4 commit-hook freebsd_committer 2020-08-01 07:27:41 UTC
A commit references this bug:

Author: riggs
Date: Sat Aug  1 07:27:06 UTC 2020
New revision: 543894
URL: https://svnweb.freebsd.org/changeset/ports/543894

Log:
  MFH: r542531 r543892 r543893

  Update to upstream version 1.0.0

  PR:		245932
  Submitted by:	shoesoft@gmx.net
  Reviewed by:	riggs

  Enable static modules (preparation for build fix of multimedia/gpac-mp4box)

  PR:		245933
  Reported by:	shoesoft@gmx.net
  Reviewed by:	rene, riggs

  Un-break build, update to 1.0.0, switch to GitHub repository.

  PR:		245933
  Submitted by:	shoesoft@gmx.net
  Reviewed by:	rene, riggs
  Approved by:	maintainer timeout

  Approved by:	ports-secteam (build fix blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/multimedia/gpac-libgpac/Makefile
  branches/2020Q3/multimedia/gpac-libgpac/distinfo
  branches/2020Q3/multimedia/gpac-libgpac/files/patch-export-x264-symbols
  branches/2020Q3/multimedia/gpac-libgpac/files/patch-src-utils-os_config_init.c
  branches/2020Q3/multimedia/gpac-libgpac/files/patch-src-utils-os_divers.c
  branches/2020Q3/multimedia/gpac-libgpac/files/patch-src_quickjs_quickjs.c
  branches/2020Q3/multimedia/gpac-libgpac/pkg-plist
  branches/2020Q3/multimedia/gpac-mp4box/Makefile
  branches/2020Q3/multimedia/gpac-mp4box/distinfo